--[[

COMMENTS:
------------------------
> randomize.lua, buttons.lua are not in use currently.
> metatables.lua contains the metamethod for equality operator.
> problematic part of the code is line 41:maploader.lua (in my opinion).

> Your help is greatly appreciated.
]]--


require "maploader"
require "tileloader"
require "buttons"
require "randomize"
require "metatables"
require "colors"

function love.load()
  
  initialOffset = 20
  player = love.graphics.newImage("player.png")
  goal = love.graphics.newImage("goal.png")
  
  loadMap()
  loadTile()



  -- TESTING GROUNDS
  
  --love.graphics.print(map[x][y][1], initial_offset + print_spread_tpo*x, initial_offset + print_spread_tpo*y)
  
  
  -- END OF TESTING GROUNDS
  
end

function love.draw()
  
  love.graphics.setBackgroundColor(52, 52, 52)
  drawMap()
  
  -- TESTING GROUNDS

  --loadRandomizeButton("Randomize", 600, 200)
  --loadRandomizeButton("Randomize2", 600, 240)
  
  --love.graphics.print("HERE WE GO", 600, 320)
  --love.graphics.print(map[1][1], 600, 280)
  
  -- END OF TESTING GROUNDS
  
end
